.button{
    border-style: none;
    height: 40px;
    padding: 6px 12px;
    background-color: black;
    color: white;
    font-size: 1rem;
    cursor: pointer;
    transition: box-shadow .6s ease;
}

.button.blue{
    background-color: #144f6dc4;
}

button.green{
    background-color: #054b25e0;
}

button.red{
    background-color: #911a1acc;
}

.button:hover{
    box-shadow: inset 200px 0 0 #00000055;
}

@media(max-width:480px){
    .button.mobile{
        color:transparent;
        font-size:0;
        width:50px;
        height:50px;
        border-radius: 50%;
        position:fixed;
        top: 90vh;
        left: 80vw;
    }
    .button.mobile::before{
        content: "+";
        color:black;
        font-size:2rem;
        width:100%;
        height:100%;
    }
}